rultor.com logo This build log was produced by rultor.com for yegor256/rumble#16
+ set -e
+ set -o pipefail
++ dirname ./run.sh
+ cd .
+ echo 729
+ echo '1.70.6 5bcc93e7c'
1.70.6 5bcc93e7c
+ date
Wed Jun 29 20:29:18 CEST 2022
+ uptime
 20:29:18 up 17 days, 10:22,  0 users,  load average: 0.07, 0.11, 0.09
+ head=git@github.com:yegor256/rumble.git
+ ff=default
+ image=yegor256/rultor-image:1.9.0
+ rebase=false
+ squash=false
+ head_branch=master
+ author=yegor256
+ tag=0.7.0
+ vars=('--env=head=git@github.com:yegor256/rumble.git' '--env=tag=0.7.0' '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:yegor256/rumble.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.7.0'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''pdd -f /dev/null'\'' '\'';'\'' '\''sudo bundle install --no-color "--gemfile=$(pwd)/Gemfile"'\'' '\'';'\'' '\''[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' '\''rm -rf *.gem'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" lib/rumble/version.rb'\'' '\'';'\'' '\''git add lib/rumble/version.rb'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build rumble.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' )' '--env=head_branch=master' '--env=author=yegor256')
+ scripts=('export '\''head=git@github.com:yegor256/rumble.git'\''' ';' 'export '\''tag=0.7.0'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'pdd -f /dev/null' ';' 'sudo bundle install --no-color "--gemfile=$(pwd)/Gemfile"' ';' '[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1' ';' 'bundle exec rake' ';' 'rm -rf *.gem' ';' 'sed -i "s/0\.0\.0/${tag}/g" lib/rumble/version.rb' ';' 'git add lib/rumble/version.rb' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build rumble.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';')
+ directory=
+ container=yegor256_rumble_16
+ as_root=false
+ git --version
git version 2.35.1
+ docker --version
Docker version 20.10.12, build e91ed57
+ mkdir -p /home/rultor/.ssh
+ echo -e 'Host github.com\n\tStrictHostKeyChecking no\n'
+ chmod 600 /home/rultor/.ssh/config
+ git clone git@github.com:yegor256/rumble.git repo
Cloning into 'repo'...
+ cd repo
+ git config user.email me@rultor.com
+ git config user.name rultor
+ '[' -z 'export '\''head=git@github.com:yegor256/rumble.git'\''' ']'
+ cd ..
+ cat
+ '[' false = true ']'
+ cat
+ chmod a+x entry.sh
+ cat
+ echo 'export '\''head=git@github.com:yegor256/rumble.git'\''' ';' 'export '\''tag=0.7.0'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'pdd -f /dev/null' ';' 'sudo bundle install --no-color "--gemfile=$(pwd)/Gemfile"' ';' '[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1' ';' 'bundle exec rake' ';' 'rm -rf *.gem' ';' 'sed -i "s/0\.0\.0/${tag}/g" lib/rumble/version.rb' ';' 'git add lib/rumble/version.rb' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build rumble.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';'
+ sensitive=()
+ rm -rf .gpg
+ '[' -z 0.7.0 ']'
+ [[ 0.7.0 =~ ^[a-zA-Z0-9\.\-]+$ ]]
+ echo 'tag name is valid: "0.7.0"'
tag name is valid: "0.7.0"
+ cd repo
++ git tag -l 0.7.0
+ '[' ']'
+ export BRANCH_NAME=__rultor
+ BRANCH_NAME=__rultor
++ git show-branch __rultor
++ wc -l
+ '[' 0 -gt 0 ']'
+ git checkout -b __rultor
Switched to a new branch '__rultor'
+ docker_when_possible
+ true
++ uptime
++ sed 's/ /\n/g'
++ tail -n 1
+ load=0.09
++ echo 0.09 '>' 30
++ bc
+ '[' 0 -eq 1 ']'
+ echo 'load average is 0.09, low enough to run a new Docker container'
load average is 0.09, low enough to run a new Docker container
+ break
+ cd ..
+ '[' -n '' ']'
+ use_image=yegor256/rultor-image:1.9.0
+ docker pull yegor256/rultor-image:1.9.0
1.9.0: Pulling from yegor256/rultor-image
Digest: sha256:33ae90af626cadadbfac736a5252b17f6a7dd6ccfce9c34edad6ab269b82f0fe
Status: Image is up to date for yegor256/rultor-image:1.9.0
docker.io/yegor256/rultor-image:1.9.0
+ docker ps --filter=status=exited
+ grep --quiet '\syegor256_rumble_16\s*$'
+ ls -al .
total 1320
drwx--x--x  3 rultor rultor    4096 Jun 29 20:29 .
drwxrwxrwt 10 root   root   1302528 Jun 29 20:29 ..
-rw-rw-r--  1 rultor rultor     444 Jun 29 20:29 end.sh
-rwxrwxr-x  1 rultor rultor     363 Jun 29 20:29 entry.sh
-rw-rw-r--  1 rultor rultor       4 Jun 29 20:29 pid
drwxrwxr-x  8 rultor rultor    4096 Jun 29 20:29 repo
-rw-rw-r--  1 rultor rultor      56 Jun 29 20:29 rubygems.yml
-rwxrwxr-x  1 rultor rultor    5950 Jun 29 20:29 run.sh
-rw-rw-r--  1 rultor rultor     646 Jun 29 20:29 script.sh
-rw-rw-r--  1 rultor rultor    4253 Jun 29 20:29 stdout
++ pwd
++ pwd
+ docker run -t --rm -v /tmp/rultor-1Og0:/main --env=head=git@github.com:yegor256/rumble.git --env=tag=0.7.0 '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:yegor256/rumble.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.7.0'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''pdd -f /dev/null'\'' '\'';'\'' '\''sudo bundle install --no-color "--gemfile=$(pwd)/Gemfile"'\'' '\'';'\'' '\''[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' '\''rm -rf *.gem'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" lib/rumble/version.rb'\'' '\'';'\'' '\''git add lib/rumble/version.rb'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build rumble.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' )' --env=head_branch=master --env=author=yegor256 --hostname=docker --privileged --memory=6g --memory-swap=16g --oom-kill-disable --cidfile=/tmp/rultor-1Og0/cid -w=/main -v /var/run/docker.sock:/var/run/docker.sock --name=yegor256_rumble_16 yegor256/rultor-image:1.9.0 /main/entry.sh
+ set -e
+ set -o pipefail
+ shopt -s dotglob
+ useradd -m -G sudo r
+ usermod -s /bin/bash r
+ echo '%sudo ALL=(ALL) NOPASSWD:ALL'
+ cp -R /root/.bashrc /root/.cache /root/.config /root/.gem /root/.gnupg /root/.m2 /root/.npm /root/.profile /root/texmf /root/.wget-hsts /home/r
+ cp -R ./cid ./end.sh ./entry.sh ./pid ./repo ./rubygems.yml ./run.sh ./script.sh ./stdout /home/r
+ rm -rf repo
+ chown -R r:r /home/r
+ chmod a+x /home/r/script.sh
+ su --login r --command /home/r/script.sh
+ set -e
+ set -o pipefail
+ shopt -s expand_aliases
+ alias 'sudo=sudo -i'
+ export HOME=/home/r
+ HOME=/home/r
+ cd /home/r/repo
+ export head=git@github.com:yegor256/rumble.git
+ head=git@github.com:yegor256/rumble.git
+ export tag=0.7.0
+ tag=0.7.0
+ export head_branch=master
+ head_branch=master
+ export author=yegor256
+ author=yegor256
+ pdd -f /dev/null
Found 7 lines in /home/r/repo/.pdd
My version is 0.20.8
Ruby version is 2.7.0 at x86_64-linux
Reading from root dir .
38;5;214mExcluding0m target/**/*
38;5;214mExcluding0m coverage/**/*
Reading features/gem_package.feature ...
Reading features/cli.feature ...
Reading features/step_definitions/steps.rb ...
Reading features/support/env.rb ...
Reading bin/rumble ...
Reading .gitignore ...
Reading README.md ...
Reading .gitattributes ...
Reading .rultor.yml ...
Reading .simplecov ...
Reading LICENSE.txt ...
Reading .github/ISSUE_TEMPLATE.md ...
Reading .github/PULL_REQUEST_TEMPLATE.md ...
Reading .github/workflows/rake.yml ...
Reading .github/workflows/codecov.yml ...
Reading rumble.gemspec ...
Reading Gemfile ...
Reading logo.svg ...
Reading .0pdd.yml ...
Reading test/test__helper.rb ...
Reading test/test_rumble.rb ...
Reading lib/rumble/cli.rb ...
Reading lib/rumble/version.rb ...
Reading lib/rumble.rb ...
Reading .pdd ...
Reading .rubocop.yml ...
Reading cucumber.yml ...
Reading Rakefile ...
++ pwd
+ sudo -i bundle install --no-color --gemfile=/home/r/repo/Gemfile
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
fatal: unsafe repository ('/home/r/repo' is owned by someone else)
To add an exception for this directory, call:

        git config --global --add safe.directory /home/r/repo
Fetching gem metadata from https://rubygems.org/...........
Resolving dependencies....
Fetching rake 13.0.6
Installing rake 13.0.6
Fetching concurrent-ruby 1.1.10
Fetching minitest 5.16.1
Fetching builder 3.2.4
Fetching erubi 1.10.0
Fetching crass 1.0.6
Fetching ast 2.4.2
Using bundler 2.3.16
Fetching docile 1.4.0
Fetching simplecov_json_formatter 0.1.4
Fetching rack 2.2.3.1
Fetching simplecov-html 0.12.3
Fetching racc 1.6.0
Fetching cucumber-ci-environment 9.0.4
Installing docile 1.4.0
Installing cucumber-ci-environment 9.0.4
Installing erubi 1.10.0
Installing ast 2.4.2
Installing racc 1.6.0 with native extensions
Installing simplecov_json_formatter 0.1.4
Installing rack 2.2.3.1
Installing concurrent-ruby 1.1.10
Installing simplecov-html 0.12.3
Installing crass 1.0.6
Installing builder 3.2.4
Fetching cucumber-messages 18.0.0
Fetching cucumber-tag-expressions 4.1.0
Fetching cucumber-cucumber-expressions 15.2.0
Fetching diff-lcs 1.5.0
Fetching mime-types-data 3.2022.0105
Installing minitest 5.16.1
Fetching multi_test 1.1.0
Installing cucumber-messages 18.0.0
Installing diff-lcs 1.5.0
Installing cucumber-tag-expressions 4.1.0
Fetching ffi 1.15.5
Installing cucumber-cucumber-expressions 15.2.0
Fetching json 2.6.2
Installing mime-types-data 3.2022.0105
Installing json 2.6.2 with native extensions
Installing multi_test 1.1.0
Fetching liquid 5.3.0
Fetching mini_mime 1.1.2
Fetching method_source 1.0.0
Fetching proxifier 1.0.3
Fetching parallel 1.22.1
Installing mini_mime 1.1.2
Installing ffi 1.15.5 with native extensions
Installing liquid 5.3.0
Installing method_source 1.0.0
Installing proxifier 1.0.3
Fetching stringio 3.0.2
Fetching thor 1.2.1
Fetching zeitwerk 2.6.0
Using rainbow 3.1.1
Fetching redcarpet 3.5.1
Installing parallel 1.22.1
Fetching regexp_parser 2.5.0
Installing thor 1.2.1
Fetching rexml 3.2.5
Installing stringio 3.0.2 with native extensions
Installing zeitwerk 2.6.0
Installing regexp_parser 2.5.0
Installing redcarpet 3.5.1 with native extensions
Fetching rspec-support 3.11.0
Fetching ruby-progressbar 1.11.0
Installing rexml 3.2.5
Installing rspec-support 3.11.0
Installing ruby-progressbar 1.11.0
Fetching unicode-display_width 2.2.0
Using slop 4.9.2
Fetching uuidtools 2.2.0
Fetching parser 3.1.2.0
Installing unicode-display_width 2.2.0
Installing uuidtools 2.2.0
Fetching simplecov 0.21.2
Installing simplecov 0.21.2
Fetching rack-test 2.0.2
Fetching cucumber-gherkin 23.0.1
Fetching cucumber-html-formatter 19.2.0
Fetching mime-types 3.4.1
Fetching i18n 1.10.0
Installing parser 3.1.2.0
Installing i18n 1.10.0
Installing cucumber-gherkin 23.0.1
Installing rack-test 2.0.2
Fetching tzinfo 2.0.4
Installing mime-types 3.4.1
Fetching mail 2.7.1
Installing cucumber-html-formatter 19.2.0
Installing tzinfo 2.0.4
Fetching net-smtp-proxy 2.0.0
Fetching rspec-core 3.11.0
Installing net-smtp-proxy 2.0.0
Fetching rspec-expectations 3.11.0
Fetching rspec-mocks 3.11.1
Installing rspec-core 3.11.0
Installing mail 2.7.1
Installing rspec-expectations 3.11.0
Using nokogiri 1.13.6 (x86_64-linux)
Fetching codecov 0.6.0
Fetching cucumber-core 11.0.0
Installing rspec-mocks 3.11.1
Fetching loofah 2.18.0
Fetching rubocop-ast 1.18.0
Installing loofah 2.18.0
Installing codecov 0.6.0
Installing cucumber-core 11.0.0
Installing rubocop-ast 1.18.0
Fetching activesupport 7.0.3
Fetching rails-html-sanitizer 1.4.3
Installing rails-html-sanitizer 1.4.3
Installing activesupport 7.0.3
Fetching rails-dom-testing 2.0.3
Installing rails-dom-testing 2.0.3
Fetching actionview 7.0.3
Installing actionview 7.0.3
Fetching actionpack 7.0.3
Installing actionpack 7.0.3
Fetching railties 7.0.3
Installing railties 7.0.3
Fetching rspec-rails 5.1.2
Installing rspec-rails 5.1.2
Fetching psych 4.0.4
Installing psych 4.0.4 with native extensions
Using rumble 0.0.0 from source at `.`
Fetching sys-uname 1.2.2
Installing sys-uname 1.2.2
Fetching cucumber 8.0.0
Installing cucumber 8.0.0
Fetching rdoc 6.4.0
Fetching rubocop 1.31.1
Installing rdoc 6.4.0
Installing rubocop 1.31.1
Fetching rubocop-rspec 2.11.1
Installing rubocop-rspec 2.11.1
Bundle complete! 9 Gemfile dependencies, 71 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
+ [[ 0.7.0 =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]
+ bundle exec rake
/usr/local/rvm/gems/ruby-2.7.0/gems/uuidtools-2.2.0/lib/uuidtools.rb:588: warning: assigned but unused variable - os_class
/usr/local/rvm/gems/ruby-2.7.0/gems/liquid-5.3.0/lib/liquid/strainer_template.rb:36: warning: instance variable @filter_methods not initialized
Run options: --seed 10518

# Running:

Sending 1 email(s) as Yegor Bugayenko <yegor256@gmail.com>
Sending to test@yegor256.com test@yegor256.com <test@yegor256.com>... /usr/local/rvm/gems/ruby-2.7.0/gems/mail-2.7.1/lib/mail/parsers/content_type_parser.rb:939: warning: statement not reached
/usr/local/rvm/gems/ruby-2.7.0/gems/mail-2.7.1/lib/mail/parsers/content_type_parser.rb:963: warning: statement not reached
/usr/local/rvm/gems/ruby-2.7.0/gems/mail-2.7.1/lib/mail/parsers/content_type_parser.rb:709: warning: assigned but unused variable - testEof
32mdone0m #1
Processed 1 emails
32m.0m

Finished in 0.175214s, 5.7073 runs/s, 0.0000 assertions/s.
1 runs, 0 assertions, 0 failures, 0 errors, 0 skips
Coverage report generated for Unit Tests to /home/r/repo/coverage. 64 / 81 LOC (79.01%) covered.
/usr/local/rvm/rubies/ruby-2.7.0/bin/ruby -S bundle exec cucumber
Using the default profile...
Feature: Command Line Processing
  As a newsletter author I want to be able to send a newsletter

  Scenario: Help can be printed         90m# features/cli.feature:40m
    32mWhen I run bin/rumble with "32m1m--help0m0m32m"90m # features/step_definitions/steps.rb:500m0m
    32mThen Exit code is zero90m              # features/step_definitions/steps.rb:640m0m
    32mAnd Stdout contains "32m1m--help0m0m32m"90m        # features/step_definitions/steps.rb:560m0m

  Scenario: Version can be printed         90m# features/cli.feature:90m
    32mWhen I run bin/rumble with "32m1m--version0m0m32m"90m # features/step_definitions/steps.rb:500m0m
    32mThen Exit code is zero90m                 # features/step_definitions/steps.rb:640m0m

  Scenario: Sending test email                                                                                                                    90m# features/cli.feature:130m
    32mGiven I have a "32m1ma.liquid0m0m32m" file with content:90m                                                                                                  # features/step_definitions/steps.rb:450m0m
32m      """0m
32m      Hi, {{ first }}0m
32m      How are you?0m
32m0m
32m      """0m
    32mWhen I run bin/rumble with "32m1m--test=yegor256@gmail.com --subject=test --letter=a.liquid --from=me@example.com --dry --resume=test@example.com0m0m32m"90m # features/step_definitions/steps.rb:500m0m
    32mThen Stdout contains "32m1mProcessed 1 email0m0m32m"90m                                                                                                      # features/step_definitions/steps.rb:560m0m
    32mAnd Exit code is zero90m                                                                                                                         # features/step_definitions/steps.rb:640m0m

Feature: Gem Package
  As a source code writer I want to be able to
  package the Gem into .gem file

  Scenario: Gem can be packaged                  90m# features/gem_package.feature:50m
    32mGiven It is Unix90m                             # features/step_definitions/steps.rb:840m0m
    32mGiven I have a "32m1mexecs.rb0m0m32m" file with content:90m # features/step_definitions/steps.rb:450m0m
32m      """0m
32m      #!/usr/bin/env ruby0m
32m      require 'rubygems'0m
32m      spec = Gem::Specification::load('./spec.rb')0m
32m      if spec.executables.empty?0m
32m        fail 'no executables: ' + File.read('./spec.rb')0m
32m      end0m
32m      """0m
/tmp/test20220629-774-12grn9o/rumble/lib/rumble/version.rb:28: warning: already initialized constant Rumble::VERSION
/home/r/repo/lib/rumble/version.rb:28: warning: previous definition of VERSION was here
    32mWhen I run bash with:90m                        # features/step_definitions/steps.rb:780m0m
32m      """0m
32m      cd rumble0m
32m      gem build rumble.gemspec0m
32m      gem specification --ruby rumble-*.gem > ../spec.rb0m
32m      cd ..0m
32m      ruby execs.rb0m
32m      """0m
    32mThen Exit code is zero90m                       # features/step_definitions/steps.rb:640m0m

4 scenarios (32m4 passed0m)
13 steps (32m13 passed0m)
0m2.411s
1m32m┌──────────────────────────────────────────────────────────────────────────────┐0m0m
1m32m│0m0m Share your Cucumber Report with your team at 4m1m36mhttps://reports.cucumber.io0m0m0m     1m32m│0m0m
1m32m│0m0m                                                                              1m32m│0m0m
1m32m│0m0m Command line option:    36m--publish0m                                            1m32m│0m0m
1m32m│0m0m Environment variable:   36mCUCUMBER_PUBLISH_ENABLED0m=36mtrue0m                        1m32m│0m0m
1m32m│0m0m cucumber.yml:           36mdefault: --publish0m                                   1m32m│0m0m
1m32m│0m0m                                                                              1m32m│0m0m
1m32m│0m0m More information at 4m1m36mhttps://cucumber.io/docs/cucumber/environment-variables/0m0m0m 1m32m│0m0m
1m32m│0m0m                                                                              1m32m│0m0m
1m32m│0m0m To disable this message, specify 1mCUCUMBER_PUBLISH_QUIET=true0m or use the      1m32m│0m0m
1m32m│0m0m 1m--publish-quiet0m option. You can also add this to your 1mcucumber.yml:0m          1m32m│0m0m
1m32m│0m0m 1mdefault: --publish-quiet0m                                                     1m32m│0m0m
1m32m└──────────────────────────────────────────────────────────────────────────────┘0m0m
Coverage report generated for Cucumber Features, Unit Tests to /home/r/repo/coverage. 64 / 81 LOC (79.01%) covered.
Running RuboCop...
Inspecting 11 files
32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m

11 files inspected, 32mno offenses0m detected
grep -q -r '2022'     --include '*.rb'     --include '*.txt'     --include 'Rakefile'     .
+ rm -rf '*.gem'
+ sed -i 's/0\.0\.0/0.7.0/g' lib/rumble/version.rb
+ git add lib/rumble/version.rb
+ git commit -m 'version set to 0.7.0'
[__rultor c853ccd] version set to 0.7.0
 1 file changed, 1 insertion(+), 1 deletion(-)
+ gem build rumble.gemspec
  Successfully built RubyGem
  Name: rumble
  Version: 0.7.0
  File: rumble-0.7.0.gem
+ chmod 0600 ../rubygems.yml
+ gem push rumble-0.7.0.gem --config-file ../rubygems.yml
Pushing gem to https://rubygems.org...
Successfully registered gem: rumble (0.7.0)
+ mv /home/r/repo .
++ whoami
+ chown -R root repo
+ '[' -n '' ']'
++ whoami
+ sudo chown -R rultor repo
+ cd repo
+ git checkout __rultor
Already on '__rultor'
+ git tag 0.7.0 -m '0.7.0: tagged by rultor.com'
+ git reset --hard
HEAD is now at c853ccd version set to 0.7.0
+ git clean -fd
+ git checkout master
Switched to branch 'master'
Your branch is up to date with 'origin/master'.
+ git branch -D __rultor
Deleted branch __rultor (was c853ccd).
+ git push --all origin
Everything up-to-date
+ git push --tags origin
To github.com:yegor256/rumble.git
 * [new tag]         0.7.0 -> 0.7.0
container 4e686440ce45171380a3c5301fb1b486c383258a97150eb79d7b9509aa297d05 is dead
Wed Jun 29 20:30:34 CEST 2022